%global _empty_manifest_terminate_build 0
Name:           python-astroid
Version:        2.15.5
Release:        1
Summary:        An abstract syntax tree for Python with inference support.
License:        LGPL-2.1-only and GPL-2.0-or-later
URL:            https://github.com/PyCQA/astroid
Source0:        https://github.com/pylint-dev/astroid/archive/refs/tags/v%{version}.tar.gz#/astroid-%{version}.tar.gz
BuildArch:      noarch
%description
An abstract syntax tree for Python with inference support.
The aim of this module is to provide a common base representation of python
source code. It is currently the library powering pylint capabilities.

%package -n python3-astroid
Summary:        An abstract syntax tree for Python with inference support.
Provides:       python-astroid
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-editables
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:  python3-pytest-runner
# General requires
BuildRequires:  python3-lazy-object-proxy
BuildRequires:  python3-six
BuildRequires:  python3-typed-ast >= 1.3.0
BuildRequires:  python3-wrapt
# General requires
AutoReq:        no 
Requires:       python3-lazy-object-proxy
Requires:       python3-wrapt
Requires:       python3-pytest-runner
# General requires
%description -n python3-astroid
An abstract syntax tree for Python with inference support.
The aim of this module is to provide a common base representation of python
source code. It is currently the library powering pylint capabilities.

%package help
Summary:        An abstract syntax tree for Python with inference support.
Provides:       python3-astroid-doc
%description help
An abstract syntax tree for Python with inference support.
The aim of this module is to provide a common base representation of python
source code. It is currently the library powering pylint capabilities.

%prep
%autosetup -n astroid-%{version} 

%build
%pyproject_build

%install
%pyproject_install astroid==%{version}

%files -n python3-astroid
%license LICENSE
%{python3_sitelib}/astroid
%{python3_sitelib}/astroid*.dist-info/

%changelog
* Sun Jun 25 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 2.15.5-1
- Update package to version 2.15.5

* Mon May 15 2023 Dongxing Wang <dxwangk@isoftstone.com> - 2.15.4-1
- update to 2.15.4 for pylint upgrade 2.17.2

* Mon Jun 13 2022 Ge Wang <wangge20@h-partners.com> - 2.9.3-2
- fix install failure due to python-wrapt upgraded

* Sun Apr 24 2022 caodongxia <caodongxia@h-partners.com> - 2.9.3-1
- update to 2.9.3

* Mon Jul 19 2021 OpenStack_SIG <openstack@openeuler.org> - 2.5-1
- Upgrade to version 2.5

* Wed Jun 24 2020 huanghaitao <huanghaitao8@huawei.com> - 2.3.3-5
- update to fix test errors with python3.8

* Mon Feb 24 2020 Senlin Xia<xiasenlin1@huawei.com> - 2.0.4-2
- Package init
